CVE-2004-2393
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2010-06-02 00:27:05
NMCO    

[原文]Java Secure Socket Extension (JSSE) 1.0.3 through 1.0.3_2 does not properly validate the certificate chain of a client or server, which allows remote attackers to falsely authenticate peers for SSL/TLS.


[CNNVD]Java安全套接口扩展证书验证漏洞(CNNVD-200412-132)

        
        Java安全套接字扩展(JSSE)用于应用程序中提供数据传输安全性。
        Java安全套接字扩展不正确验证WEB站点的数字证书,这可导致允许不可信WEB站点认为是可信的通过SSL的站点。
        目前没有详细漏洞细节提供。
        <*链接:http://sunsolve.sun.com/pub-cgi/retrieve.pl?doc=fsalert%2F57560
        *>

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:sun:jsse:1.0.3_01Sun JSSE 1.0.3 _01
cpe:/a:sun:jsse:1.0.3Sun JSSE 1.0.3
cpe:/a:sun:jsse:1.0.3_02Sun JSSE 1.0.3 _02

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2393
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2393
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-132
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/16194
(PATCH)  XF  sun-jsse-improper-validation(16194)
http://www.securityfocus.com/bid/10387
(PATCH)  BID  10387
http://www.osvdb.org/6299
(PATCH)  OSVDB  6299
http://sunsolve.sun.com/search/document.do?assetkey=1-26-57560-1
(VENDOR_ADVISORY)  SUNALERT  57560
http://securitytracker.com/id?1010193
(PATCH)  SECTRACK  1010193
http://secunia.com/advisories/11639
(VENDOR_ADVISORY)  SECUNIA  11639
http://sunsolve.sun.com/search/document.do?assetkey=1-77-1001273.1-1
(UNKNOWN)  SUNALERT  1001273
http://sunsolve.sun.com/search/document.do?assetkey=1-66-201724-1
(UNKNOWN)  SUNALERT  201724

- 漏洞信息

Java安全套接口扩展证书验证漏洞
高危 访问验证错误
2004-12-31 00:00:00 2010-02-26 00:00:00
远程  
        
        Java安全套接字扩展(JSSE)用于应用程序中提供数据传输安全性。
        Java安全套接字扩展不正确验证WEB站点的数字证书,这可导致允许不可信WEB站点认为是可信的通过SSL的站点。
        目前没有详细漏洞细节提供。
        <*链接:http://sunsolve.sun.com/pub-cgi/retrieve.pl?doc=fsalert%2F57560
        *>

- 公告与补丁

        厂商补丁:
        Sun
        ---
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        Sun Upgrade JSSE 1.0.3_03
        
        http://java.sun.com/products/jsse/index-103.html

- 漏洞信息

6299
Java Secure Socket Extension Server Certificate Validation Error
Remote / Network Access Cryptographic
Loss of Confidentiality
Exploit Unknown

- 漏洞描述

Sun Java Secure Socket Extension (JSSE) contains a flaw that may allow a malicious website to impersonate trusted websites. The issue is triggered due to an unspecified error. It is possible that the flaw may allow a server with an invalid certificate to be successfully validated by JSSE and considered as a trusted server, resulting in a loss of confidentiality. No further details have been provided.

- 时间线

2004-05-17 Unknow
Unknow Unknow

- 解决方案

Upgrade to version JSSE 1.0.3_03 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站